### Function

# RB uri_is_directory

#### Declaration [src]

    gboolean
    rb_uri_is_directory (
      const char* uri
    )

#### Description [src]

Checks if `uri` identifies a directory.

#### Parameters

`uri`

  Type: `const char*`

  The URI to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `uri` is a directory.